# Reproduction Package of ISSTA 2023 paper "DeepAtash: Focused Test Generation for Deep Learning systems"


This is the reproduction package of the paper "DeepAtash: Focused Test Generation for Deep Learning systems"
 by T. Zohdinasab, V. Riccio, and P. Tonella. to be published in the Proceedings of the ACM SIGSOFT International Symposium on Software Testing and Analysis (ISSTA 2023).


## Getting Started ##

Click [here](./documentation/getting_started.md) to see how to set up DeepAtash and validate its general functionality by using our pre-configured Docker image.

## Detailed Description ##

Click [here](./documentation/details.md) to see how to validate the paper’s claims and results in detail. 

## Repository Structure ##
The package is structured as follows:

* [__MNIST__](./MNIST) contains the DeepAtash tool adapted to the handwritten digit classification case study and the instructions on how to use it;
* [__IMDB__](./IMDB) contains the DeepAtash tool adapted to the movie sentiment analysis case study and the instructions on how to use it;
* [__experiments__](./experiments) contains the raw experimental data and the scripts to obtain the results reported in the ISSTA paper;
* [__documentation__](./documentation) contains a quick installation guide and a detailed description of the tool.


_Note:_ each sub-package contains further specific instructions.
